Skip to main content
POST
/
v1
/
webhooks
Create Webhook
curl --request POST \
  --url https://api.oneinbox.ai/v1/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "events": []
}
'
{
  "id": "<string>",
  "name": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "secret": "<string>",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Body

application/json
name
string
required
Required string length: 1 - 255
url
string
required
Minimum string length: 1
events
enum<string>[]
required
Required array length: 1 - 20 elements
Available options:
call.started,
call.ended,
call.failed,
call.recording.available,
transcript.partial,
transcript.final

Response

Successful Response

id
string
required
name
string
required
url
string
required
events
string[]
required
secret
string
required
status
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required